/* TYPOGRAPHY */
@font-face {
    font-family: 'bright_burnregular';
    src: url('../fonts/bright_burn-webfont.woff2') format('woff2'),
         url('bright_burn-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}




/* GLOBAL STYLES */
body {
    overflow-x: hidden !important;
    font-family: 'Comfortaa', 'sans-serif';
    line-height: 1.2;
}

.container {
    max-width: 100% !important;
    overflow-x: hidden !important;
}

.is-flex {
    display: flex;
}

h2 {
    font-family: 'bright_burnregular';
    font-size: 56px;
    font-weight: 700;
    color: #5B3428;
    margin-bottom: 40px;
}

p {
    font-family: 'Comfortaa', 'sans-serif';
    font-size: 16px;
    margin-bottom: 24px;
}

.btn {
    text-decoration: none;
    border: 1px solid #44772B;
    color: #44772B;
    text-align: center;
    border-radius: 5px;
    padding: 10px 15px;
    max-width: 100px;
}

.menu-line {
    color: #AC928A;
    margin: 81px 0 63px 0;
}




/* NAVIGATION STYLES */
.navigation {
    justify-content: center;
    margin: 0 186px;
}

.nav-container {
    height: 88px;
    width: 945px;
    justify-content: space-between;
    align-items: center;
    color: transparent;
    border-bottom: 1px solid white;
    z-index: 1;
}

nav ul li a {
    text-decoration: none;
    font-size: 24px;
    font-weight: 700;
    color: white;
}

nav ul li a:hover {
    color: #5B3428;
}

.nav-logo {
    height: 32px;
}




/* HERO BANNER SECTION */
.hero-banner {
    height: 896px;
    background-image: url("../images/menu-patrons/patron-menu-hero.png");
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
    height: 80%;
    position: relative;
    bottom: 89px;
}

.hero-overlay {
    flex-direction: column;
}

h1 {
    font-family: 'bright_burnregular';
    font-size: 72;
    font-weight: 400;
    color: #44772B;
    margin: 280px 0 40px 0;
}

.text-overlay {
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.banner-cta {
    width: 830px;
    justify-content: center;
}

.button-container {
    width: 366px;
    justify-content: space-between;
}

.tagline {
    font-size: 24px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 24px;
}

.center-btns {
    justify-content: center;
}

.banner-btn-primary {
    background-color: #44772B;
    text-decoration: none;
    font-size: 18;
    font-weight: 700;
    color: #fff;
    padding: 10px 25px;
    border-radius: 15px;
}

.banner-btn-secondary {
    background-color: none;
    text-decoration: none;
    font-size: 18;
    font-weight: 700;
    color: #fff;
    padding: 10px 25px;
    border-radius: 15px;
    border: 1px solid white;
}



/* MENU SECTION */
.patrons-menu {
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.patrons-menu h2 {
    margin-bottom: 24px;
}

.menu-item-container {
    justify-content: space-between;
}

.menu-item {
    max-width: 270px;
    width: 22.5%;
    border-radius: 27px;
    border: 2px solid #44772B;
    display: flex;
    flex-direction: column;
}

.menu-item-img {
    max-width: 270px;
    max-height: 270px;
    border-radius: 25px 25px 0 0;
    margin-bottom: 24px;
}

.item-name {
    font-family: 'bright_burnregular';
    font-size: 28px;
    font-weight: 400;
    color: #5B3428;
    text-align: center;
    margin-bottom: 16px;
}

.size-info-container {
    flex-direction: row;
    justify-content: space-around;
}

.size-info {
    flex-direction: column;
    align-items: center;
    max-width: 55px;
}

.size-marker {
    font-size: 14px;
    font-weight: 400;
    color: #333333;
    margin-bottom: 8px;
}

.size-price {
    font-size: 18px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 24px;
}

.food-info {
    font-size: 16px;
    font-weight: 400;
    color: #333333;
    padding: 0 16px;
    flex-grow: 1;
}

.item-price {
    font-size: 18px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 24px;
}

.item-price-solo {
    font-size: 18px;
    font-weight: 700;
    color: #333333;
    margin-bottom: 24px;
    text-align: center;
    position: flex-end;
}




/* COFFEE MENU SECTION */
.coffee-menu {
    width: 100%;
}




/* TEA MENU SECTION */
.tea-menu {
    width: 100%;
}




/* SANDWICHES MENU SECTION */
.sandwich-menu {
    width: 100%;
}




/* PASTRIES MENU SECTION */
.pastries-menu {
    width: 100%;
}




/* CHARITY BLEND SECTION */
.charity-blend-menu {
    margin-bottom: 48px;
}




/* CTA SECTION */
.cta-img {
    background-image: url("../images/footer-img.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    max-width: 100%;
    height: 416px;
    justify-content: center;
    align-items: center;
}

.cta {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(91, 52, 40, 0.85);
    max-width: 946px;
    max-height: 240px;
    border-radius: 15px;
}

h4 {
    font-family: 'bright_burnregular';
    font-size: 48px;
    font-weight: 700;
    color: #FFEBC2;
    text-shadow: 4px 4px rgba(0, 0, 0, 0.75);
    margin: 40px 0 32px 0;
}

.cta-text {
    font-size: 16px;
    color: #fff;
    max-width: 870px;
    text-align: center;
    padding: 0 20px;
}


/* FOOTER STYLES */
footer {
    background-color: #5B3428;
}

.footer-container {
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

h6 {
    font-size: 18;
    font-weight: 700;
    margin: 48px 0 0 0;
    color: #fff;
}

.space-below {
    margin-bottom: 16px;
}

.footer-link {
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    color: #fff;
}

.logo-container {
    width: 270px;
    margin-right: 20px;
}

.footer-logo {
    width: 270px;
    margin-top: 38px;
}

.links-container {
    width: 173px;
    margin-right: 20px;
}

.info-container {
    width: 270px;
    margin-right: 20px;
}

.footer-info {
    list-style-type: none;
    font-size: 14px;
    font-weight: 400;
    margin: 0 0 16px 0;
    color: #fff;
}

.maps-container {
    width: 367px;
    margin-right: 20px;
}

.footer-map {
    max-width: 386px;
    max-height: 287px;
    border-radius: 25px;
    margin-top: 48px;
}

.final-footer {
    height: 72px;
    border-top: 1px solid white;
    justify-content: space-between;
    align-items: center;
    margin-left: min(10%, 186px);
    margin-right: min(10%, 186px);
}

.copyright {
    font-size: 14px;
    font-weight: 300;
    color: #fff;
    margin-bottom: 0;
}

.footer-socials-container {
    width: 173px;
    justify-content: space-between;
}

.footer-socials {
    max-width: 24px;
    max-height: 24px;
}




/* MEDIA QUERIES */
/* TABLET */
@media only screen and (max-width: 768px) {


    /* GLOBAL STYLES */
    h2 {
        font-size: 48px;
        margin-bottom: 24px;
    }

    h3 {
        font-size: 48px;
        margin-bottom: 24px;
    }

    .btn {
        font-size: 12px;
    }
    

    /* NAVIGATION */
    .navigation {
        margin-left: min(10%, 186px);
        margin-right: min(10%, 186px);
    }

    nav ul li a {
        font-size: 20px;
    }
    
    .nav-logo {
        height: 28px;
    }


    /* MENU SECTION */
    .item-name {
        font-size: 20px;
    }
    
    .size-marker {
        font-size: 12px;
    }

    .size-price {
        font-size: 12px;
    }

    .patrons-menu .tea-menu .menu-item-container .menu-item .item-name {
        flex-grow: 1;
    }


    /* CTA SECTION */
    h4 {
        font-size: 40px;
        margin: 24px 0 16px 0;
    }
    
    .cta-text {
        font-size: 12px;
        max-width: 640px;
    }


    /* FOOTER */
    .footer-logo {
        width: 144px;
    }

    h6 {
        font-size: 16px;
    }

    .footer-link {
        font-size: 12px;
    }

    .footer-info {
        font-size: 12px;
    }

    .footer-map {
        width: 240px;
    }
}


/* MEDIA QUERIES */
/* PHONE */
@media only screen and (max-width: 576px) {


    /* GLOBAL STYLES */
    h1 {
        font-size: 48px;
        padding: 0 85px;
    }
    
    h2 {
        font-size: 40px;
        margin-bottom: 20px;
    }

    h3 {
        font-size: 40px;
        margin-bottom: 20px;
    }


    /* NAVIGATION */
    nav ul li a {
        font-size: 16px;
    }
    
    .nav-logo {
        height: 24px;
    }


    /* MENU SECTION */
    .center-title {
        text-align: center;
    }
    
    .menu-item-container {
        flex-direction: column;
        align-items: center;
    }

    .menu-item {
        width: 60%;
        margin-bottom: 24px;
    }
    

    /* CTA SECTION */
    .cta {
        max-width: 400px;
    }
    
    h4 {
        font-size: 40px;
        margin: 24px 0 16px 0;
        text-align: center;
    }
    
    .cta-text {
        font-size: 12px;
        max-width: 640px;
    }


    /* FOOTER */
    .footer-container {
        flex-direction: column;
    }
    
    .footer-logo {
        width: 200px;
        position: relative;
        right: 5px;
    }

    h6 {
        font-size: 16px;
    }

    .footer-link {
        font-size: 12px;
    }

    .footer-info {
        font-size: 12px;
    }

    .copyright {
        font-size: 12px;
    }

    .footer-socials-container {
        margin-left: 24px;
    }

    .footer-map {
        width: 240px;
        margin-bottom: 24px;
    }
}